[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'idea' (#fcl)

# TIDEADeCryptStream.Create

Constructor to create a new TIDEADecryptStream instance

## Declaration

Source position: idea.pp line 106

`public constructor TIDEADeCryptStream.Create(`
`const AKey: string;`
`Dest: TStream`
`); overload;`

## Arguments

`AKey` |  | String to use as the encryption key
`Dest` |  | Source stream with encrypted data

## Description

Create creates a new TIDEADecryptStream instance using the the string AKey to compute the encryption key, which is then passed on to the inherited constructor TIDEAStream.Create. It is an easy-access function which introduces no new functionality.

The string is truncated at the maximum length of the TIdeaCryptKey structure, so it makes no sense to provide a string with length longer than this structure.

## See also

TIdeaCryptKey |  | Type for holding an encyption/decryption IDEA key.
TIDEAStream.Create |  | Creates a new instance of the TIDEAStream class
TIDEAEnCryptStream.Create |  | Constructor to create a new TIDEAEncryptStream instance

Documentation generated on: Feb 26 2014